# Data Entry

## Setup the Dataset

Navigate to [udt.dev](https://udt.dev) and click "New File"

![Click "New File" on udt.dev](https://708390366-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MFuZsfsLW71orr4EXRY%2F-MI1-I35x0iE2R-GuGoG%2F-MI11H2GNT530d7n2r1Q%2Fimage.png?alt=media\&token=8438ff28-e06e-4025-86ab-0be4818a2730)

Then select the Data Entry button from the `Setup > Data Type` page.

![](https://708390366-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MFuZsfsLW71orr4EXRY%2F-MI5xmI5P1vIVEHqJPCX%2F-MI5yZO_K24uUxEykcwf%2Fimage.png?alt=media\&token=bc028732-3396-4c41-abdd-e04362301516)

You can configure the Data Entry to create the right interface for your dataset. Use the `Setup > Preview` button to see your interface against either an example image or a sample from your dataset.

![Configure the Data Entry interface](https://708390366-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MFuZsfsLW71orr4EXRY%2F-MIFmA5BG7CCQ0CGvRbM%2F-MIFm_U-R1l6Jb2SOLbq%2Fimage.png?alt=media\&token=305de7eb-70aa-4b3d-9a57-560bc6ce63cd)

You can add a variety of different inputs by clicking the "Add Input" button.

![Input types available when you click Add Input](https://708390366-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MFuZsfsLW71orr4EXRY%2F-MIFmA5BG7CCQ0CGvRbM%2F-MIFmm52NyogL6FHLP43%2Fimage.png?alt=media\&token=776dc814-0048-4761-a7ac-2390284e50da)

## Import Data

You can use virtually any method of importing for data entry datasets, here is a list of common import methods.

* [Import from AWS S3 Bucket](https://docs.universaldatatool.com/importing-data/import-from-aws-s3-bucket)
* [Import from List of URLs](https://docs.universaldatatool.com/importing-data/import-file-urls)
* [Import from CSV or JSON](https://docs.universaldatatool.com/importing-data/import-from-csv-or-json)
* [Upload or Open Directory](https://docs.universaldatatool.com/importing-data/upload-or-open-directories)
* [Import from Google Drive](https://docs.universaldatatool.com/importing-data/import-from-google-drive)

## Label your Data (with friends!)

![Example Data Entry Sample](https://708390366-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MFuZsfsLW71orr4EXRY%2F-MIFmA5BG7CCQ0CGvRbM%2F-MIFnU55VSkNY24xr-Jz%2Fimage.png?alt=media\&token=17879f5a-53ec-4653-8ac5-72d167973475)

## Export and Use

You can use either JSON or CSV to export the Data Entry type. See the full [Data Entry JSON Specification](https://github.com/UniversalDataTool/udt-format/blob/master/interfaces/data_entry.md) for how the Data Entry JSON is formatted.

Each JSON sample looks like the following:

```javascript
{
    "pdfUrl": "https://...", // or imageUrl, document etc.
    
    "annotation": { "FieldName": "..." }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.universaldatatool.com/building-and-labeling-datasets/data-entry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
